# $Revision: 1.46.2.3 $, $Date: 2007/04/01 20:47:00 $
#
# Conditional build
%bcond_without	gstreamer	# build with xine-lib instead of gstreamer
#
%define		min_ver	0.10
#
%include	/usr/lib/rpm/macros.mono
Summary:	Music player for GNOME
Summary(pl):	Odtwarzacz muzyczny dla GNOME
Name:		muine
Version:	0.8.7
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.muine-player.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	19f5aa148a7bd3c18cf1c3244813aa88
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-flac.patch
URL:		http://www.muine-player.org/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-dbus-sharp-devel >= 0.21
BuildRequires:	dotnet-gtk-sharp2-gnome-devel >= 1.9.3
BuildRequires:	faad2-devel
BuildRequires:	flac-devel
BuildRequires:	gdbm-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-vfs2-devel >= 2.4.0
BuildRequires:	gtk+2-devel >= 1:2.0.4
BuildRequires:	intltool >= 0.21
BuildRequires:	libgnome-devel
BuildRequires:	libid3tag-devel >= 0.15
BuildRequires:	libogg-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	mono-csharp >= 1.1.6
BuildRequires:	monodoc >= 1.1.9
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
%if %{with gstreamer}
BuildRequires:	gstreamer-devel >= %{min_ver}
%else
BuildRequires:	xine-lib-devel >= 1.0.0
%endif
Requires(post,preun):	GConf2 >= 2.3.0
Requires(post,preun):	scrollkeeper
%if %{with gstreamer}
Requires:	gstreamer-audio-effects-base >= %{min_ver}
Requires:	gstreamer-audio-formats >= %{min_ver}
Requires:	gstreamer-audiosink
Requires:	gstreamer-gnomevfs >= %{min_ver}
%else
Requires:	xine-plugin-audio
%endif
Obsoletes:	muine-plugin-dashboard
ExcludeArch:	alpha i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Muine is a music player using some new UI ideas. The idea is that it
will be much easier and comfortable to use than the iTunes model,
which is used by both Rhythmbox and Jamboree.

%description -l pl
Muine jest odtwarzaczem muzycznym uywajcym nowego typu UI
(interfejsu uytkownika). Zaoeniem programu jest bycie o wiele
atwiejszym i bardziej komfortowym w uyciu ni programy oparte na
wzorze iTunes jak Rhythmbox i Jamboree.

%package plugin-inotify
Summary:	Inotify plugin for Muine
Summary(pl):	Wtyczka Inotify dla Muine
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description plugin-inotify
Inotify plugin for Muine.

%description plugin-inotify -l pl
Wtyczka Inotify dla Muine.

%package plugin-trayicon
Summary:	Trayicon plugin for Muine
Summary(pl):	Wtyczka obszaru powiadamiania dla Muine
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description plugin-trayicon
Trayicon plugin for Muine.

%description plugin-trayicon -l pl
Wtyczka obszaru powiadamiania dla Muine.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{!?with_gstreamer:--enable-xine=yes} \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/{muine/plugins,monodoc/sources}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

install plugins/*.{dll,png,xml} \
	$RPM_BUILD_ROOT%{_libdir}/muine/plugins

mv $RPM_BUILD_ROOT%{_docdir}/%{name}/* $RPM_BUILD_ROOT%{_libdir}/monodoc/sources

rm -f $RPM_BUILD_ROOT%{_libdir}/muine/*.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install muine.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%if %{with gstreamer}
%banner %{name} -e << EOF
Remember to install appropriate GStreamer plugins for files
you want to play:
- gstreamer-flac (for FLAC)
- gstreamer-mad (for MP3s)
- gstreamer-vorbis (for Ogg Vorbis)
EOF
%else
%banner %{name} -e << EOF
Remember to install appropriate xine-decode plugins for files
you want to play:
- xine-decode-flac (for FLAC)
- xine-decode-ogg (for Ogg Vorbis)
EOF
%endif

%preun
%gconf_schema_uninstall muine.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS PLUGINS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/muine
%dir %{_libdir}/muine/plugins
%attr(755,root,root) %{_libdir}/muine/libmuine.*
%attr(755,root,root) %{_libdir}/muine/muine.*
%{_datadir}/dbus-1/services/*
#{_libdir}/mono/gac/*
#{_libdir}/mono/muine
%{_libdir}/muine/NDesk.DBus.GLib.dll
%{_libdir}/muine/NDesk.DBus.GLib.dll.config
%{_libdir}/muine/NDesk.DBus.dll
%{_libdir}/muine/muine-dbus.dll
%{_libdir}/muine/muine-plugin.dll
%{_libdir}/monodoc/sources/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/16x16/apps/muine.png
%{_iconsdir}/hicolor/22x22/apps/muine.png
%{_iconsdir}/hicolor/24x24/apps/muine.png
%{_iconsdir}/hicolor/32x32/apps/muine.png
%{_iconsdir}/hicolor/scalable/apps/muine.svg
%{_pkgconfigdir}/*
%{_sysconfdir}/gconf/schemas/muine.schemas

%files plugin-inotify
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/muine/libinotifyglue.*
%attr(755,root,root) %{_libdir}/muine/plugins/InotifyPlugin.dll
%{_libdir}/muine/plugins/InotifyPlugin.dll.config

%files plugin-trayicon
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/muine/plugins/TrayIcon.dll
%{_libdir}/muine/plugins/TrayIcon.xml
%{_libdir}/muine/plugins/muine-tray-*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: muine.spec,v $
Revision 1.46.2.3  2007/04/01 20:47:00  hawk
- exclude alpha, broken mono deps:
  muine-0.8.7-1: req mono(NDesk.DBus) = 0.0.0.0 not found
  muine-0.8.7-1: req mono(NDesk.DBus.GLib) = 0.0.0.0 not found
- release 2

Revision 1.46.2.2  2007/03/21 14:10:23  hawk
- merged 0.8.7 from HEAD

Revision 1.46.2.1  2007/03/13 16:38:05  hawk
- Ac deps, added patch to compile against flac 1.1.3 (taken from Mandriva)

Revision 1.46  2007/01/26 18:08:26  glen
- add todo

Revision 1.45  2007/01/26 18:06:15  glen
- new URL

Revision 1.44  2006/09/09 13:24:42  grzegol
- moved monodoc to proper dir
- updated BRs/Rs
- rel. 2

Revision 1.43  2006/08/04 23:40:33  havner
- raw udpdate to 0.8.5 (builds), needs review

Revision 1.42  2006/05/26 20:38:06  ankry
- standarized

Revision 1.41  2005/11/30 22:01:55  freetz
- exclude alpha i386 sparc sparc64 from build, rel.3 for rebuild

Revision 1.40  2005/10/17 12:44:50  freetz
- enabled amd64 build, dropped alpha todo (arch not supported) rel.2

Revision 1.39  2005/10/17 12:32:58  freetz
- test build on amd64

Revision 1.38  2005/08/15 16:54:34  wolf
- merged from DEVEL

Revision 1.37  2005/08/15 13:22:26  wolf
- 0.8.3

Revision 1.34.2.11  2005/05/22 00:01:43  paladine
- missing BR: dotnet-dbus-sharp-devel
- sorted BRs/Rs

Revision 1.34.2.10  2005/05/15 22:28:13  freetz
- package all libmuine*

Revision 1.34.2.9  2005/05/15 21:56:55  freetz
- it works pretty well with both audio frontends, rel.1
  added omited note about %%banner support

Revision 1.34.2.8  2005/05/15 21:51:44  freetz
- plugin subpackages added, %%banner support

Revision 1.34.2.7  2005/05/14 23:34:56  freetz
- TODO added, more BRs cleanup

Revision 1.34.2.6  2005/05/14 23:12:45  freetz
- R: dotnet-dbus-sharp

Revision 1.34.2.5  2005/05/14 23:00:09  freetz
- merged arch magic from head

Revision 1.34.2.4  2005/05/14 22:55:48  freetz
- cleaned up BRs

Revision 1.34.2.3  2005/05/14 22:41:56  freetz
- updated BRs, new style macros

Revision 1.34.2.2  2005/05/06 11:37:25  wiget
- 0.8.3 (gstreamer backend still broken)

Revision 1.34.2.1  2004/12/28 14:13:52  krzak
- up to 0.7.1
- need mono 2.0 series packages
